ווטסאפ - לינוקס, BSD, קוד פתוח ותוכנה חופשית בעברית. Whatsup - Linux, BSD, open source and free software in Hebrew

 
 
  כניסת חברים · רישום · שכחתי סיסמה  
tux the penguin
תגובה לנושא
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
אורח · ·
 

הודעה פורסם: 13/11/2019 - 14:47
נושא ההודעה: בעיית תלויות בעדכון ארץ'

כשאני מנסה לעדכן את מערכת ארץ' מתקבלת השגיאה הבאה:
קוד:
yay -Syu
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 multilib is up to date
:: Starting full system upgrade...
:: Replace ilmbase with extra/openexr? [Y/n]
:: Replace totem-plparser with extra/totem-pl-parser? [Y/n]
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
:: installing pacman (5.2.1-1) breaks dependency 'pacman<=5.1.3' required by yay
Error installing repo packages

נראה שיש בעיית תלויות שקשורה ל yay - יש ברשת כמה פוסטים בנושא אבל לא ברור לי מה הדרך הטובה ביותר לפתור את זה? אם מישהו נתקל בזה אשמח להעזר בניסיונו.
או שאולי כדאי להמתין..
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
mksoftלא בפורום כעתSite Admin ת.הצטרפות: 17/03/2002 · הודעות: 10266 · מיקום: כדור הארץ
 

הודעה פורסם: 13/11/2019 - 14:50
נושא ההודעה:

הסר את yay, עדכן את pacman, התקן yay מעודכן.

_________________
הבלוג שלי
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית שלח דוא\ ביקור באתר המפרסם  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 13/11/2019 - 14:57
נושא ההודעה:

ציטוט:
הסר את yay, עדכן את pacman, התקן yay מעודכן.

אם כבר להסיר את yay - כדאי לי להתקין הפעם את yay-git במקומו? אולי הוא יותר מתעדכן..
תודה
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
mksoftלא בפורום כעתSite Admin ת.הצטרפות: 17/03/2002 · הודעות: 10266 · מיקום: כדור הארץ
 

הודעה פורסם: 13/11/2019 - 15:03
נושא ההודעה:

בחירה שלך Smile

אני הולך עם yay, הוא מתעדכן די מהר. מאחר ואני על testing היה לי את הסיפור הזה לפני זמן מה.

_________________
הבלוג שלי
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית שלח דוא\ ביקור באתר המפרסם  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 13/11/2019 - 15:05
נושא ההודעה:

פשוט ראיתי כמה פוסטים שאמרו ש yay-git יותר מעודכן..
לא הבנתי איך זה קשור ל testing? -אשמח להסבר
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
mksoftלא בפורום כעתSite Admin ת.הצטרפות: 17/03/2002 · הודעות: 10266 · מיקום: כדור הארץ
 

הודעה פורסם: 13/11/2019 - 15:30
נושא ההודעה:

פשוט testing חוטפים את זה מוקדם יותר, עובר זמן מסוים עד שחבילה עוברת מ־testing למאגרים היציבים.

_________________
הבלוג שלי
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית שלח דוא\ ביקור באתר המפרסם  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 13/11/2019 - 15:39
נושא ההודעה:

ציטוט:
פשוט testing חוטפים את זה מוקדם יותר, עובר זמן מסוים עד שחבילה עוברת מ־testing למאגרים היציבים.

הבנתי. אז לא כל כך ברור למה אני חטפתי את זה - למיטב ידיעתי אני לא על testing..
יתכן שאם הייתי מחכה עוד קצת אז הבעיה היתה נפתרת מעצמה לאחר עדכון החבילות..
תודה
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
mksoftלא בפורום כעתSite Admin ת.הצטרפות: 17/03/2002 · הודעות: 10266 · מיקום: כדור הארץ
 

הודעה פורסם: 13/11/2019 - 16:17
נושא ההודעה:

לא, זה יוצא דופן: yay היא לא חלק מהמאגר הרשמי, אלא חבילה חיצונית. מאחר והיא מוגדרת עבור תלויות מאוד ספציפיות של pacman, זה תקוע:

אי אפשר לשדרג את pacman כי yay תלויה בה
אי אפשר לשדרג את yay כי החדשה תלויה ב-pacman חדש יותר (גם עבור ההתקנה).

_________________
הבלוג שלי
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית שלח דוא\ ביקור באתר המפרסם  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
הצגת הודעות מלפני:     
מעבר אל:  
כל הזמנים הם GMT + 2 שעות
תגובה לנושא
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
PNphpBB2 © 2003-2004 

תוכן הדיון

  1. אורח
  2. mksoft
  3. אורח
  4. mksoft
  5. אורח
  6. mksoft
  7. אורח
  8. mksoft